1 Star 0 Fork 76

李经纬 / openjdk-1.8.0

forked from src-openEuler / openjdk-1.8.0 
加入 Gitee
与超过 1200万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
克隆/下载
Test8167409.sh-fails-to-run-with-32bit-jdk-on-64bit-.patch 1.43 KB
一键复制 编辑 原始数据 按行查看 历史
eapen 提交于 2021-05-19 17:01 . I3PQM1: update to 8u292-b10
From ae2c3958cb7e238c1112de18e216f82b72771db0 Mon Sep 17 00:00:00 2001
Date: Fri, 22 Jan 2021 16:23:19 +0800
Subject: Test8167409.sh fails to run with 32bit jdk on 64bit
system
Summary: <test case>: Test8167409.sh fails to run with 32bit jdk on 64bit system
LLT: jdk8u/hotspot/test/compiler/criticalnatives/argumentcorruption/Test8167409.sh
---
.../criticalnatives/argumentcorruption/Test8167409.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/hotspot/test/compiler/criticalnatives/argumentcorruption/Test8167409.sh b/hotspot/test/compiler/criticalnatives/argumentcorruption/Test8167409.sh
index 81695e758..1108aaf93 100644
--- a/hotspot/test/compiler/criticalnatives/argumentcorruption/Test8167409.sh
+++ b/hotspot/test/compiler/criticalnatives/argumentcorruption/Test8167409.sh
@@ -61,19 +61,24 @@ case "$OS" in
exit 0;
;;
esac
+
+${TESTJAVA}${FS}bin${FS}java -XshowSettings 2>&1 | grep sun.arch.data.model | grep 32
+if [ 0 -eq $? ] ; then
+ M32="-m32"
+fi
# CriticalJNINatives is not supported for aarch64
if [ $VM_CPU == "aarch64" ]; then
echo "Test Passed"
exit 0;
fi
THIS_DIR=.
cp ${TESTSRC}${FS}*.java ${THIS_DIR}
${TESTJAVA}${FS}bin${FS}javac *.java
-$cc_cmd -fPIC -shared -o libCNCheckLongArgs.so \
+$cc_cmd ${M32} -fPIC -shared -o libCNCheckLongArgs.so \
-I${TESTJAVA}${FS}include -I${TESTJAVA}${FS}include${FS}linux \
${TESTSRC}${FS}libCNCheckLongArgs.c
--
2.19.0
1
https://gitee.com/marsCatXDU/openjdk-1.8.0.git
git@gitee.com:marsCatXDU/openjdk-1.8.0.git
marsCatXDU
openjdk-1.8.0
openjdk-1.8.0
master

搜索帮助